Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.psd
Class PSDEncoder

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.compat.JimiEncoderBase
                  |
                  +--com.sun.jimi.core.encoder.psd.PSDEncoder

public class PSDEncoder
extends JimiEncoderBase
implements OptionsObject

Save out image data in PSD image file format. This encoder only supports saving of 1 or 8 bits per image data channel . Encodes BITMAP, GRAYSCALE, INDEXED and RGB format Photoshop files

Fields inherited from class com.sun.jimi.core.compat.JimiEncoderBase
`currentImage, DONE, ERROR, factory, MAX_COLORS_RGB, MULTIIMAGE, NEXTIMAGE`

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`PSDEncoder()`

Method Summary
`void` | `clearProperties()`
`boolean` | `driveEncoder()` This only runs once therefore no state handling to deal with
`void` | `encodePSD(AdaptiveRasterImage ji, java.io.DataOutputStream out)`
`void` | `freeEncoder()`
`OptionsObject` | `getOptionsObject()`
`java.lang.Object` | `getPossibleValuesForProperty(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String key)`
`java.lang.String` | `getPropertyDescription(java.lang.String name)`
`java.util.Enumeration` | `getPropertyNames()`
`int` | `getState()`
`protected void` | `initSpecificEncoder(java.io.OutputStream out, AdaptiveRasterImage ji)` intialise the required pieces for output of a TGA file
`void` | `setProperty(java.lang.String key, java.lang.Object val)`

Methods inherited from class com.sun.jimi.core.compat.JimiEncoderBase
`createAdaptiveRasterImage, createAdaptiveRasterImage, encodeImage, encodeImage, encodeImages, encodeImages, getCapabilties, getJimiImage, getMaxColors, setJimiImage, setNumberOfImages, setProgress`

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSDEncoder

    public PSDEncoder()

Method Detail

### initSpecificEncoder

    protected void initSpecificEncoder(java.io.OutputStream out,
                                       AdaptiveRasterImage ji)
                                throws JimiException

  intialise the required pieces for output of a TGA file
  Overrides:
    initSpecificEncoder in class JimiEncoderBase

### getOptionsObject

    public OptionsObject getOptionsObject()

### driveEncoder

    public boolean driveEncoder()
                         throws JimiException

  This only runs once therefore no state handling to deal with
  Overrides:
    driveEncoder in class JimiEncoderBase

### freeEncoder

    public void freeEncoder()
                     throws JimiException

  Overrides:
    freeEncoder in class JimiEncoderBase

### getState

    public int getState()

  Overrides:
    getState in class JimiEncoderBase

### encodePSD

    public void encodePSD(AdaptiveRasterImage ji,
                          java.io.DataOutputStream out)
                   throws JimiException,
                          java.io.IOException

### getPropertyNames

    public java.util.Enumeration getPropertyNames()

### getProperty

    public java.lang.Object getProperty(java.lang.String key)

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.Object val)
                     throws InvalidOptionException

### getPossibleValuesForProperty

    public java.lang.Object getPossibleValuesForProperty(java.lang.String name)
                                                  throws InvalidOptionException

### getPropertyDescription

    public java.lang.String getPropertyDescription(java.lang.String name)
                                            throws InvalidOptionException

### clearProperties

    public void clearProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD